Bug Hunting Session
Bug 101924 - FATAL ERROR when finding something with ’Sounds like (Japanese)’ option
Summary: FATAL ERROR when finding something with ’Sounds like (Japanese)’ option
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.0.2 rc
Hardware: All All
: highest critical
Assignee: Eike Rathke
URL:
Whiteboard: target:5.3.0 target:5.2.3
Keywords: bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2016-09-06 06:03 UTC by Kamei
Modified: 2016-09-20 20:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
lldb session output (15.87 KB, text/plain)
2016-09-06 10:15 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kamei 2016-09-06 06:03:31 UTC
Steps to reproduce:

1. Create any document (Text Document, Spreadsheet, Presentation, Drawing, Database).
2. Click "Find & Replace…” on Menu bar.
3. Click “Other Options” then click “Sounds like (Japanese)” then click “Sounds…” button.
4. Check one of options with
'repeat character' marks
ba/va, ha/fa
tsi/thi/chi, dhi/zi
hyu/fyu, byu/vyu
se/she, ze/je
ia/iya
ki/ku
Prolonged vowels (ka-/kaa)
5. Then click “OK” button
6. Input “test” in "Find: " input field then “Find Next” button.

Your LibreOffice will crash.

Current behavior:

LO showed dialogue "LibreOffice 5.2 - Fatal Error".

Expected behavior:

LO found the text.

Version: 5.2.1.2
Build ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU Threads: 8; OS Version: Mac OS X 10.9.5; UI Render: GL;
Locale: en-US (ja.UTF-8); Calc: group
Comment 1 Alex Thurgood 2016-09-06 10:03:15 UTC
Confirming with

Version: 5.3.0.0.alpha0+
Build ID: 03f576466c9f110fbef8923604908654d59484a6
CPU Threads: 2; OS Version: Mac OS X 10.11.6; UI Render: default; 
Locale: fr-FR (fr.UTF-8); Calc: group
Comment 2 Alex Thurgood 2016-09-06 10:15:18 UTC
Created attachment 127170 [details]
lldb session output
Comment 3 Alex Thurgood 2016-09-06 10:25:27 UTC
No crash in

Version: 4.4.5.2
Build ID: a22f674fd25a3b6f45bdebf25400ed2adff0ff99
Locale: fr.UTF-8
Comment 4 Alex Thurgood 2016-09-06 10:29:39 UTC
Crashes as per the bug report with

Version: 5.0.0.2
Build ID: a26d58f11b99b6aeddf7f7884effea188cc6e512
Locale: en-GB (fr.UTF-8)
Comment 5 Justin L 2016-09-07 12:37:44 UTC
Reproduced with Ubuntu 16.04 5.3dev.
Attempted bibisecting.  crashed in oldest52 (lo_linux_debug_daily), but worked in master51 (shouldn't be possible, but I may be missing some commits around that time frame...).
Comment 6 Julien Nabet 2016-09-08 20:45:46 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

with rendering KDE4, I noticed this:
warn:vcl:4907:1:vcl/unx/generic/window/salframe.cxx:2018: X11SalFrame::Restore on withdrawn window
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 42 (X_SetInputFocus)
  Resource id:  0x1a0071e

With rendering=gen, I've got an empty error message box, then it quits (so impossible in this case to retrieve a bt)

With gtk3 rendering, it's very slow (it seems we've got a regression here)
I noticed these:
warn:vcl:5033:1:vcl/source/window/winproc.cxx:832: ImplHandleKey: Keyboard-Input is sent to a frame without focus

#25 0x00002aaaaca293c1 in g_object_new () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#26 0x00002aaac7866c81 in GtkSalSystem::ShowNativeDialog (this=0x2269930, rTitle="LibreOfficeDev 5.3 - Fatal Error", rMessage="", rButtonNames=std::__debug::list = {...}, 
    nDefaultButton=0) at /home/julien/lo/libreoffice/vcl/unx/gtk3/../gtk/gtksys.cxx:278
#27 0x00002aaab43e2a87 in SalGenericSystem::ShowNativeMessageBox (this=0x2269930, rTitle="LibreOfficeDev 5.3 - Fatal Error", rMessage="")
    at /home/julien/lo/libreoffice/vcl/unx/generic/app/gensys.cxx:103
#28 0x00002aaab426b4ea in Application::ShowNativeErrorBox (sTitle="LibreOfficeDev 5.3 - Fatal Error", sMessage="") at /home/julien/lo/libreoffice/vcl/source/app/svapp.cxx:1656
#29 0x00002aaaaafb7b61 in desktop::(anonymous namespace)::FatalError (sMessage="") at /home/julien/lo/libreoffice/desktop/source/app/app.cxx:443
#30 0x00002aaaaafbc2cf in desktop::Desktop::Main (this=0x7fffffff4a80) at /home/julien/lo/libreoffice/desktop/source/app/app.cxx:1662



Finally I noticed this log on some cases:
warn:legacy.tools:4754:1:cui/source/options/optjsearch.cxx:211: Transliteration settings different

Caolan: thought you might be interested in this one.
Comment 7 Caolán McNamara 2016-09-09 09:33:29 UTC
The "ShowNativeDialog" is the dialog used to report fatal exceptions. So the core problem is the earlier fatal exception from i18npool.

I feel the problem there came from....

    commit 1a967fead616b201535449fa812775c88d5b2e3b
    Author: Eike Rathke <erack@redhat.com>
    Date:   Tue Mar 24 15:53:23 2015 +0000
    
        do not include non-mask bits in masks

https://gerrit.libreoffice.org/#/c/28764/ might be the right fix for that.
Comment 8 Xisco Faulí 2016-09-12 12:42:13 UTC
Adding keyword 'bibisectRequest'.
Comment 9 Commit Notification 2016-09-13 18:02:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=abbe7584543ad27e658de515c7dafcc1ce34a18c

Resolves: tdf#101924 fatal exception on Sounds like Japanese options

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Kamei 2016-09-14 02:48:27 UTC
Thanks Caolán and everyone with all of my heart!
I confirmed LO can find the text correctly with "Sounds like(Japanese)" option.


Version: 5.3.0.0.alpha0+
Build ID: 74fd959945dbbfbc3dcc331a08ff8fc7c6410295
CPU Threads: 8; OS Version: Mac OS X 10.9.5; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-09-13_23:07:56
Locale: ja-JP (ja.UTF-8); Calc: group
Comment 11 Commit Notification 2016-09-15 08:42:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a988f3a9aeb82c2f7be6392d74c7e2e77e94928d&h=libreoffice-5-2

Resolves: tdf#101924 fatal exception on Sounds like Japanese options

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Kamei 2016-09-20 05:31:24 UTC
I confirmed works fine on Windows7.
But I cannot confirm where dev build for OS X is.



Version: 5.2.3.0.0+
Build ID: 14f914eb105765386438ae53c83c5ce295648414
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-2, Time: 2016-09-15_13:58:05
Locale: ja-JP (ja_JP); Calc: group
Comment 13 Julien Nabet 2016-09-20 20:02:11 UTC
Let's put this one to FIXED.

Thank you Caolán and Eike! :-)